﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.AddIn.Pipeline;
using Calc1AddInViews;
using Calc1Contract;
namespace Calc1AddInSideAdapter
{
    // The AddInAdapterAttribute identifes this class as the add-in-side adapter
    // pipeline segment.
    [AddInAdapter()]
    public class CalculatorViewToContractAddInSideAdapter : ContractBase, ICalc1Contract
    {
        private ICalculator _view;

        public CalculatorViewToContractAddInSideAdapter(ICalculator view)
        {
            _view = view;
        }

        public virtual double Add(double a, double b)
        {
            return _view.Add(a, b);
        }

        public virtual double Subtract(double a, double b)
        {
            return _view.Subtract(a, b);
        }

        public virtual double Multiply(double a, double b)
        {
            return _view.Multiply(a, b);
        }

        public virtual double Divide(double a, double b)
        {
            return _view.Divide(a, b);
        }

        #region ICalc1Contract Members


        public string SayHello()
        {
            return _view.SayHello();
        }

        #endregion
    }
}
