﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Calc1HVA;
using Calc1Contract;
using System.AddIn.Pipeline;
namespace Calc1HostSideAdapter
{
    [HostAdapterAttribute()]
    public class CalculatorContractToViewHostSideAdapter : ICalculator
    {
        private ICalc1Contract _contract;
        private System.AddIn.Pipeline.ContractHandle _handle;

        public CalculatorContractToViewHostSideAdapter(ICalc1Contract contract)
        {
            _contract = contract;
            _handle = new ContractHandle(contract);
        }

        public double Add(double a, double b)
        {
            return _contract.Add(a, b);
        }

        public double Subtract(double a, double b)
        {
            return _contract.Subtract(a, b);
        }

        public double Multiply(double a, double b)
        {
            return _contract.Multiply(a, b);
        }

        public double Divide(double a, double b)
        {
            return _contract.Divide(a, b);
        }

        #region ICalculator Members


        public string SayHello()
        {
            return _contract.SayHello();
        }

        #endregion
    }
}
