﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Calc2HVA;
using Calc2Contract;
using System.AddIn.Pipeline;
namespace Calc2HostSideAdapter
{
    [HostAdapter]
    public class CalculatorContractToViewHostAdapter : Calculator
    {

        private ICalc2Contract _contract;

        private System.AddIn.Pipeline.ContractHandle _handle;

        public CalculatorContractToViewHostAdapter(ICalc2Contract contract)
        {
            _contract = contract;
            _handle = new System.AddIn.Pipeline.ContractHandle(contract);
        }


        public override string Operations
        {
            get
            {
                return _contract.GetAvailableOperations();
            }
        }

        public override double Operate(string operation, double a, double b)
        {
            return _contract.Operate(operation, a, b);
        }
    }
}
